Loading...
Searching...
No Matches
Dune::IOError Class Reference
Common » Exception handling

Default exception class for I/O errors. More...

`#include <dune/common/exceptions.hh>`

Inheritance diagram for Dune::IOError:

## Public Member Functions

void | message (const std::string &msg)
| store string in internal message buffer
const char * | what () const noexcept override
| output internal message buffer

## Static Public Member Functions

static void | registerHook (ExceptionHook *hook)
| add a functor which is called before a Dune::Exception is emitted (see Dune::ExceptionHook)
static void | clearHook ()
| remove all hooks

## Detailed Description

Default exception class for I/O errors.

This is a superclass for any errors dealing with file/socket I/O problems like

- file not found
- could not write file
- could not connect to remote socket

The documentation for this class was generated from the following file:

- exceptions.hh